var o = require("../../common/vendor.js");
Array ||
  (o.resolveComponent("uni-load-more") + o.resolveComponent("uni-icons"))(),
  Math ||
    (
      function () {
        return "../../uni_modules/uni-load-more/components/uni-load-more/uni-load-more.js";
      } +
      function () {
        return "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
      }
    )();
var n = {
    __name: "index",
    props: { loading: { type: Boolean, default: !1 } },
    emits: ["click"],
    setup: function (n, e) {
      var i = e.emit,
        r = function () {
          i("click");
        };
      return function (e, i) {
        return {
          a: n.loading,
          b: o.p({
            iconType: "circle",
            iconSize: 20,
            status: "loading",
            showText: !1,
            color: "#1F68E9",
          }),
          c: !n.loading,
          d: o.p({ type: "refreshempty", size: "24", color: "#1F68E9" }),
          e: o.o(r),
        };
      };
    },
  },
  e = o._export_sfc(n, [["__scopeId", "data-v-8535e783"]]);
wx.createComponent(e);
